import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetUserListParams, OriginalListParams} from '@models';

export const contextState: OriginalListParams<GetUserListParams> = {
  userName: '',
  code: '',
  realName: '',
  department: '',
  role: '',
  email: '',
  phone: '',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);

/** 页码context */
export const pageContext = createPageContext();

/** 搜索状态管理 */
export const searchContext = createSearchContext();
